use bevy::prelude::*;

use bevy_rapier2d::prelude::*;

use crate::AppState;

use super::set::IngameSet;
#[derive(Component)]
struct Player {}

pub(super) fn player_plugin(app: &mut App) {
    app.add_systems(OnEnter(AppState::InGame), add_player.in_set(IngameSet));
}

pub fn add_player(mut commands: Commands) {
    commands
        .spawn(Player {})
        .insert(ActiveEvents::COLLISION_EVENTS);
}
